@import 'theme.css';
@import 'button.css';
@import 'tabs.css';
@import 'radioGroup.css';
@import 'avatar.css';
@import 'sidebarNavigation.css';
@import 'sidebarWithContent.css';
@import 'pollsContent.css';
@import 'surveysContent.css';
@import 'avatarGroup.css';
@import 'modal.css';
@import 'switch.css';
@import 'checkbox.css';
@import 'accordion.css';
@import 'input.css';
@import 'progress.css';
@import 'badge.css';
@import 'select.css';
@import 'textarea.css';
@import 'file-input.css';
@import 'date-picker.css';
@import 'time-picker.css';
@import 'rich-text-editor.css';
@import 'carousel.css';
@import 'theme2.css';
.user-details-container {
  padding: 20px;
  border: 1px solid #ccc;
  display: flex;
  flex-direction: column;
  gap: 10px;
  max-width: 400px;
  margin: 20px auto;
}

.chart-display-wrapper-row {
  display: flex;
  gap: 16px;
  width: 100%;
}

.chart-filters-header-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.chart-filters-header {
  font-size: 18px;
  font-weight: 600;
  margin: 0;
}

.chart-filters-hide {
  cursor: pointer;
  color: #007bff;
  font-size: 14px;
}

.chart-type-container label {
  font-weight: 500;
  margin-bottom: 6px;
  display: block;
}

.chart-display-wrapper {
  height: 100%;
  width: 60%;
}

.chart-filter-wrapper {
  width: 40%;
}

.upload-section .btn {
  margin-right: 10px;
  margin-bottom: 5px;
}

.excel-upload-wrapper {
  display: flex;
  align-items: center;
  gap: 8px;
}

.hide-filter-btn,
.show-filter-content {
  cursor: pointer;
}

#fileName {
  font-size: 12px;
  max-width: 150px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.user-btn, .user-btn-test {
  padding: 0.75rem 1.5rem;
  font-size: 2rem;
  margin-bottom: 1rem;
}

.grid-container {
  display: grid;
  grid-template-columns: 1fr 2fr 4fr 1fr;
  gap: 1rem;
}

.grid-item {
  padding: 0.5rem;
}